Summary:        Perl library for accessing Zip archives
Name:           perl-Archive-Zip
Version:        1.68
Release:        3%{?dist}
License:        (GPL+ or Artistic) and BSD
URL:            https://metacpan.org/release/Archive-Zip
Source0:        https://cpan.metacpan.org/authors/id/P/PH/PHRED/Archive-Zip-%{version}.tar.gz

BuildRequires:  git-core make perl-interpreter  perl-generators  
BuildRequires:  perl(:VERSION) >= 5.4 perl(strict) perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(:VERSION) >= 5.6 perl(Carp)
BuildRequires:  perl(Compress::Raw::Zlib)  perl(Cwd)
BuildRequires:  perl(Encode) perl(constant) perl(File::Copy)
BuildRequires:  perl(Exporter) perl(File::Basename) perl(integer)
BuildRequires:  perl(File::Find) perl(File::Path) perl(File::Temp) 
BuildRequires:  perl(File::Spec) >= 0.80 perl(FileHandle) perl(vars) 
BuildRequires:  perl(IO::File) perl(IO::Seekable) perl(Time::Local)
BuildRequires:  perl(File::Spec::Unix)
BuildRequires:  perl(lib) perl(Test::More) >= 0.88 perl(utf8) 
BuildRequires:  perl(warnings) unzip zip
Requires:       perl(:MODULE_COMPAT_%perl_version) perl(Exporter)     
Requires:       perl(File::Spec) >= 0.80

BuildArch:      noarch

%global __requires_exclude ^perl\\(File::Spec\\)$

%description
The Archive::Zip module allows a Perl program to create, manipulate, read, 
and write Zip archive files.Zip archives can be created, or you can read 
from existing zip files.Once created, they can be written to files, streams, 
or strings.Members can be added, removed, extracted, replaced, rearranged, 
and enumerated. They can also be renamed or have their dates, comments,or 
other attributes queried or modified. Their data can be compressed or 
uncompressed as needed. Members can be created from members in existing Zip 
files, or from existing directories, files, or strings.

%prep
%autosetup -n Archive-Zip-%{version}

for F in examples/*.pl; do
    perl -MExtUtils::MakeMaker -e "ExtUtils::MM_Unix->fixin(q{$F})"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes examples/
%{_bindir}/crc32
%{perl_vendorlib}/Archive/
%{_mandir}/man3/Archive*.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.68-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.68-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 17 2022 Wang Zhe <bessiewang@tencent.com> - 1.68-1
- initial build
